package simkit.random;

/**
 * A RandomNumber that is generated by combining the outputs of two
 * other RandomNumbers.
 *
 * @author  Arnold Buss
 * 
 */
public interface Pooled extends RandomNumber {
    
    /**
     * 
     * @param first the instance of the first RandomNumber that this Pooled is based on.
     */
    public void setFirst(RandomNumber first);
    
    /**
     * 
     * @return the instance of the first RandomNumber that this Pooled is based on.
     */
    public RandomNumber getFirst();
    
    /**
     * 
     * @param second the instance of the second RandomNumber that this Pooled is based on.
     */
    public void setSecond(RandomNumber second);
    
    /**
     * 
     * @return the instance of the second RandomNumber that this Pooled is based on.
     */
    public RandomNumber getSecond();
    
}
